# source("Start_iSQoL2.R")

Sys.setlocale(category="LC_ALL", "")#locale = "English_United States.1252")
local({
	Dir<- paste0(Sys.getenv("USERPROFILE"),"\\Documents")
	if(!file.exists(Dir)){ 
		dir.create(Dir, recursive=T)
		Sys.setenv(R_USER=Dir)
	}
	Dir.lib<- paste0(Dir,"\\R\\win-library\\", R.version[["major"]],".",substring(R.version[["minor"]],1,1))
	if(!file.exists(Dir.lib)) dir.create(Dir.lib, recursive=T)
	Sys.setenv("R_LIBS_USER"=Dir.lib)

	###
	pk.dir<- paste(getwd(),"/Rpackages",sep="")
	.libPaths(c(pk.dir, .libPaths()))
	if(file.exists(Sys.getenv("R_LIBS_USER"))).libPaths(c(Sys.getenv("R_LIBS_USER"), .libPaths()))
	
	###
	item<- c("data.table","bit","fastmatch","ff","namespace","plotrix","rms","Hmisc","lokern") 
	dir.user<- NULL
	item.not<- NULL
	for(pk.i in item){
		pk.lib<- find.package(pk.i, quiet=T)
		if(length(pk.lib)==0){
			if(is.null(dir.user)){
				cat("\nYou must have an internet connection to install ", pk.i," package.\n",sep="")
				NextRun<- menu(c("Yes","No"), title="=> Do you have an internet connection?")
				if(NextRun != 1){
					unlink("RFirst")
					stop(paste("... can not continue to download and install ",pk.i," package.",sep=""), call.=FALSE)
				}
				else{
					cat("... Continue to download R packages and install.\n")
					dir.user<- Sys.getenv("R_LIBS_USER")
					#if(!file.exists(dir.user))dir.create(dir.user, recursive=T)
					#.libPaths(c(dir.user, .libPaths())) 
				}
			}
			install.packages(pk.i, lib=dir.user, clean=FALSE, type="win.binary")
		}
		pk.lib<- find.package(pk.i, quiet=T)
		if(length(pk.lib)==0){ item.not<- c(item.not, pk.i) }
	}
	n.item.not<- length(item.not)
	if(n.item.not >0){
		if(n.item.not==1) stop(paste0("... \nThe package: ",item.not,"\n    was not successfully installed"))
		else stop(paste0("... \nThe packages: ",paste0(item.not, collapse=","),"\n    were not successfully installed"))
	}
	if(length(find.package("iSQoL2", quiet=T, lib.loc=pk.dir))==0)stop(paste("... iSQoL2 is not included in",pk.dir), call.=FALSE)
	require(iSQoL2, quietly=T, lib.loc=pk.dir)
	if(scan("RFirst", what="",quiet=T, n=1)=="OK"){
		GetMenu()
		cat("* The temporary folder '.iSQoL2' is created in",Sys.getenv("R_USER"),".\n\n")
	}
	else{ cat("=> Quit R and then restart R to update settings.\n")}
})	
unlink("RFirst")
